/***************************************************************************
 *   Copyright (C) 2003 by Johnathan Burchill,,,                           *
 *   jkerrb@shaw.ca                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/


#include "kdardirectoryfilterdialog.h"
#include <kfiledialog.h>
#include <qlineedit.h>
kdarDirectoryFilterDialog::kdarDirectoryFilterDialog(QWidget* parent, const char* name, bool modal, WFlags fl)
: kdarDirectoryFilterDlg(parent,name, modal,fl)
{
}

kdarDirectoryFilterDialog::~kdarDirectoryFilterDialog()
{
}

/*$SPECIALIZATION$*/
void kdarDirectoryFilterDialog::slotDirectoryFilterSelect()
{
	QString newFilter=KFileDialog::getExistingDirectory(QString::null, 0, "Please choose a directory");
	directoryFilterValueLineEdit->setText(newFilter);
}

#include "kdardirectoryfilterdialog.moc"

