/***************************************************************************
 *   Copyright (C) 2004 by Johnathan Burchill                              *
 *   jkerrb@users.sourceforge.net                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#ifndef _KDARDECLARATIONS_H_
#define _KDARDECLARATIONS_H_

#include <qstring.h>

const char* const EXTENSION = "dar";

/**
 * milliseconds for messages in statusbar
 */
const int DURATION( 5000 );
/**
 * pass this as a duration to make statusbar messages stay indefinitely.
 */
const int FOREVER( 0 );
/**
 * Slice size checking interval, in milliseconds.
 */
const int CHECKINTERVAL( 1000 );
/**
 * Progressbar update interval, in milliseconds;
 */
const int PROGRESSINTERVAL( 1000 );

#endif // _KDARDECLARATIONS_H_
